# IncludeLibrary_osd.h File Reference

## Defines

#define | OSD_MAXASTS 1
#define | osd_initsynch(S) 1
#define | osd_stop(X) ( (X)->go = 0 )
#define | osd_go(X) ( ((X)->go == 0) ? ((X)->go = 1 , SYS$SETEF(0)) : 1 )
#define | osd_synch(X, S) (SYS$SYNCH(0, (X)) , 1)
#define | osd_disblast() SYS$SETAST(0)
#define | osd_enblast() SYS$SETAST(1)
#define | osd_exit(X) SYS$EXIT(X)

## Typedefs

typedef _syssynch | SYSSYNCH
typedef _syssynch * | PSYSSYNCH
typedef _dring | DRING
typedef _dring * | PDRING

## Define Documentation

#define osd_disblast | (

)

SYS$SETAST(0)

#define osd_enblast | (

)

SYS$SETAST(1)

#define osd_exit | ( | X |  | ) | SYS$EXIT(X)

#define osd_go | ( | X |  | ) | ( ((X)->go == 0) ? ((X)->go = 1 , SYS$SETEF(0)) : 1 )

#define osd_initsynch | ( | S |  | ) | 1

#define OSD_MAXASTS 1

#define osd_stop | ( | X |  | ) | ( (X)->go = 0 )

#define osd_synch | ( | X,
|  | S |  | ) | (SYS$SYNCH(0, (X)) , 1)

## Typedef Documentation

typedef struct _dring DRING

typedef struct _dring * PDRING

typedef struct _syssynch * PSYSSYNCH

typedef struct _syssynch SYSSYNCH